RADRELAY(8)

NAME
radrelay -- replicate accounting data to another RADIUS server

SYNOPSIS
radrelay [-a accounting_dir] [-d radius_dir] [-f] [-i source_ip] [-n shortname] [-r remote-server[:port]] [-s secret] [-S secret_file] [-x] detailfile

DESCRIPTION
Radrelay reads a file in the detail file format, reconstructs radius packets from it and sends them to a remote radius server. When end-of-file is reached, the file is truncated. Radrelay then waits for additional data to be written to the file, and starts over again.

OPTIONS

-a accounting_directory
    The base directory to use to read the detail file from.

-d radius_directory
    The base radius (raddb) directory, where the config files live.

-f  Do not fork and run in the background as a daemon.

-i source_ip
    The source IP address to use for sending radius packets.

-n shortname
    The radius configuration files (most probably clients.conf), will be searched for a client section with 'shortname' set to the used argument. Both the server secret and the remote-server address are obtained in this way. Do not use the -r, -s or -S parameters in combination with -n.

-r remote-server
    The hostname or IP address of the remote server. Optionally a UDP port can be specified. If no UDP port is specified, it is looked up in /etc/services. The service name looked for is radacct for accounting packets. If a service is not found in /etc/services, 1813 is used. The -r parameter can't be used in combination with -n.

-s secret
    Remote server secret.

-S secret_file
    Read remote server secret from file, the file should contain nothing other then the plain-text secret.

-x  Enable debug mode, -x will activate radrelay internal debugging, -xx will also activate librad debugging.

detailfile
    The detail file to use, this will be appended to the base accounting directory.

SEE ALSO
radiusd(8), doc/radrelay.

AUTHOR
Miquel van Smoorenburg, miquels@cistron.nl.